#!/bin/bash

WINDOW_NAME="control_center"

# Vérifie si la fenêtre est déjà ouverte
if eww list-windows | grep -q "^${WINDOW_NAME}\*$"; then
    # Si ouverte, la ferme
    eww close $WINDOW_NAME
else
    # Si fermée, on s'assure que le daemon tourne et on ouvre la fenêtre
    if ! eww ping > /dev/null 2>&1; then
        eww daemon
        sleep 0.5
    fi
    eww open $WINDOW_NAME
fi
